org.apache.poi.xslf.usermodel

## Class XSLFNotes

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xslf.usermodel.XSLFSheet
    - - org.apache.poi.xslf.usermodel.XSLFNotes

- All Implemented Interfaces:
    java.lang.Iterable<XSLFShape>, Notes<XSLFShape,XSLFTextParagraph>, ShapeContainer<XSLFShape,XSLFTextParagraph>, Sheet<XSLFShape,XSLFTextParagraph>, XSLFShapeContainer

      @Beta
      public final class XSLFNotes
      extends XSLFSheet
      implements Notes<XSLFShape,XSLFTextParagraph>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSLFNotesMaster` | `getMasterSheet()`
    `protected java.lang.String` | `getRootElementName()`
    `java.util.List<java.util.List<XSLFTextParagraph>>` | `getTextParagraphs()`
    `XSLFTheme` | `getTheme()`
    `org.openxmlformats.schemas.presentationml.x2006.main.CTNotesSlide` | `getXmlObject()`

    - ### Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet

      `addChart, addChart, addShape, allocateShapeId, appendContent, buildShapes, clear, commit, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTable, createTextBox, deregisterShapeId, draw, getBackground, getFollowMasterGraphics, getPlaceholder, getPlaceholder, getPlaceholderDetails, getPlaceholders, getShapes, getSlideShow, getSpTree, getTextShapeByType, importContent, iterator, mapSchemeColor, mapSchemeColor, registerShapeId, removeShape`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `draw, getBackground, getFollowMasterGraphics, getPlaceholderDetails, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### getXmlObject

          public org.openxmlformats.schemas.presentationml.x2006.main.CTNotesSlide getXmlObject()

      Specified by:
        `getXmlObject` in class `XSLFSheet`
      Returns:
        top-level Xml bean representing this sheet

    - #### getRootElementName

          protected java.lang.String getRootElementName()

      Specified by:
        `getRootElementName` in class `XSLFSheet`

    - #### getTheme

          public XSLFTheme getTheme()

      Overrides:
        `getTheme` in class `XSLFSheet`
      Returns:
        theme (shared styles) associated with this theme. By default returns `null` which means that this sheet is theme-less. Sheets that support the notion of themes (slides, masters, layouts, etc.) should override this method and return the corresponding package part.

    - #### getMasterSheet

          public XSLFNotesMaster getMasterSheet()

      Specified by:
        `getMasterSheet` in interface `Sheet<XSLFShape,XSLFTextParagraph>`

    - #### getTextParagraphs

          public java.util.List<java.util.List<XSLFTextParagraph>> getTextParagraphs()

      Specified by:
        `getTextParagraphs` in interface `Notes<XSLFShape,XSLFTextParagraph>`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.